List API request history
curl --request GET \
--url https://api.bitbybit.studio/whatsapp/open/v1/messages/requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bitbybit.studio/whatsapp/open/v1/messages/requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bitbybit.studio/whatsapp/open/v1/messages/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1598ec48-6e91-4e9a-a010-848ffb508704",
"companyId": 1646,
"messageId2": "586ff6bb-94ba-4493-93e3-9fe6a3a817c3",
"templateId": "order_delivered_confirmation",
"source": "WHATSAPP_META",
"request": {
"ip": "203.0.113.45",
"ips": [
"203.0.113.45"
],
"body": {
"to": "+62xxxxxxxxxxx",
"params": [
"John Doe",
"1790438",
"Jl. Example No. 1",
"John Doe",
"02/07/2026 03:47"
],
"sources": "whatsapp cloud api",
"mediaUrl": "https://cdn.example.com/logo.png",
"countryCode": "ID, EN, IN",
"template_name": "order_delivered_confirmation",
"template_source": "CRM",
"ignoreActiveTicket": false
},
"query": {},
"baseUrl": "/whatsapp/open/v1/messages",
"headers": {
"host": "api.bitbybit.studio",
"accept": "application/json, text/plain, */*",
"x-api-key": "bbb_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"user-agent": "axios/1.13.2",
"content-type": "application/json",
"x-request-id": "7401fcb8-1068-45f2-a3db-8e5319304d33",
"content-length": "367"
},
"hostname": "api.bitbybit.studio"
},
"response": {
"data": {
"ack": 1,
"body": "<p>Hai Kak John Doe,<br/><br/>Pesanan 1790438 sudah tiba.</p>",
"type": "TEXT",
"media": "https://cdn.example.com/logo.png",
"fromMe": true,
"sources": "WHATSAPP_META",
"companyId": 1646,
"messageId": "wamid.HBgNNjI4OTUwMTQxMzg4NxUCABEYEjQwM0Q0RDRBMTU3NDhCNDhCQgA=",
"timestamp": "2026-07-31T06:00:33.405Z",
"clientNumber": "62xxxxxxxxxxx",
"messageId2": "586ff6bb-94ba-4493-93e3-9fe6a3a817c3",
"featureSource": "automation",
"connectedNumber": "908793602325790"
}
},
"endpointType": "send_message_template",
"sentAt": "2026-07-31T06:00:33.651Z",
"deliveredAt": "2026-07-31T06:00:35.120Z",
"readAt": "2026-07-31T06:01:02.014Z",
"repliedAt": null,
"failedAt": null,
"createdAt": "2026-07-31T06:00:33.653Z"
},
{
"id": "e59767c5-8d7c-4c36-b7bb-2293116cb00c",
"companyId": 1646,
"messageId2": null,
"templateId": "order_delivered_confirmation",
"source": "WHATSAPP_META",
"request": {
"ip": "203.0.113.99",
"ips": [
"203.0.113.99"
],
"body": {
"to": "+62xxxxxxxxxxx",
"params": [
"Jane Doe",
"1788668",
"Jl. Example No. 2",
"Jane Doe",
"19/06/2026 09:41",
"https://cdn.example.com/photo.jpg"
],
"sources": "whatsapp cloud api",
"template_name": "order_delivered_confirmation",
"template_source": "CRM",
"ignoreActiveTicket": false
},
"query": {},
"baseUrl": "/whatsapp/open/v1/messages",
"headers": {
"host": "api.bitbybit.studio",
"x-api-key": "bbb_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"user-agent": "axios/1.13.2",
"content-type": "application/json",
"x-request-id": "08b6afb9-5606-4ec1-be05-eafe6a6e5547"
},
"hostname": "api.bitbybit.studio"
},
"response": {
"error": {
"code": "SEND_FAILED",
"message": "Meta Error : body: number of localizable_params (6) does not match the expected number of params (5)"
}
},
"endpointType": "send_message_template",
"sentAt": null,
"deliveredAt": null,
"readAt": null,
"repliedAt": null,
"failedAt": "2026-07-31T06:00:09.120Z",
"createdAt": "2026-07-31T06:00:08.752Z"
}
],
"meta": {
"total": 1192,
"page": 1,
"limit": 5,
"totalPages": 239,
"hasNextPage": true,
"hasPreviousPage": false
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid or expired API key"
}
}{
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "API key does not have the required scope"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests. Please retry after the reset period."
}
}Messaging
List Request History
Retrieve a paginated list of API request history with optional filtering.
GET
/
messages
/
requests
List API request history
Authorizations
API key for authentication. Create one in Settings > Developer.
Query Parameters
Filter by message response ID
Filter by template name
Filter by start date (ISO 8601)
Filter by end date (ISO 8601)
Number of results per page
Required range:
1 <= x <= 100Page number
Required range:
x >= 1⌘I

